Inquiries
Bulk assign inquiries to a user, optionally reass…
Bulk assign inquiries to a user, optionally reassigning customers
Authorization
x-api-key x-api-key<token>
API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Request Body
application/json
POST /v2/inquiries/bulk-assign Request body
TypeScript Definitions
Use the request body type in TypeScript.
array<string>
Items1 <= items <= 100
string | null
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
boolean
Defaultfalse
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.carecycle.ai/v2/inquiries/bulk-assign" \ -H "Content-Type: application/json" \ -d '{ "inquiryIds": [ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ], "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2" }'{
"assignedCount": 0,
"customersReassignedCount": 0
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}